zenilib: Lib3dsViewport Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsViewport Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

char | default_camera [64]
float | default_horiz_angle
float | default_position [3]
float | default_roll_angle
int | default_type
float | default_vert_angle
float | default_width
int | layout_active
int | layout_nviews
unsigned short | layout_position [2]
unsigned short | layout_size [2]
int | layout_style
int | layout_swap
int | layout_swap_prior
int | layout_swap_view
Lib3dsView | layout_views [LIB3DS_LAYOUT_MAX_VIEWS]

## Detailed Description

Definition at line 157 of file lib3ds.h.

## Member Data Documentation

char Lib3dsViewport::default_camera[64]

Definition at line 173 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

float Lib3dsViewport::default_horiz_angle

Definition at line 170 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

float Lib3dsViewport::default_position[3]

Definition at line 168 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

float Lib3dsViewport::default_roll_angle

Definition at line 172 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::default_type

Definition at line 167 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

float Lib3dsViewport::default_vert_angle

Definition at line 171 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

float Lib3dsViewport::default_width

Definition at line 169 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::layout_active

Definition at line 159 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::layout_nviews

Definition at line 165 of file lib3ds.h.

Referenced by lib3ds_viewport_write().

unsigned short Lib3dsViewport::layout_position[2]

Definition at line 163 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

unsigned short Lib3dsViewport::layout_size[2]

Definition at line 164 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::layout_style

Definition at line 158 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::layout_swap

Definition at line 160 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::layout_swap_prior

Definition at line 161 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

int Lib3dsViewport::layout_swap_view

Definition at line 162 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

Lib3dsView Lib3dsViewport::layout_views[LIB3DS_LAYOUT_MAX_VIEWS]

Definition at line 166 of file lib3ds.h.

Referenced by lib3ds_viewport_read(), and lib3ds_viewport_write().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h